PDA

View Full Version : Using the Mac Lamannia Client For Update 21



Kaytis
02-25-2014, 01:38 PM
Note you need the existing Mac Lamannia client to attempt this. I am not sure how one goes about getting it anymore.

If you have it:

The Mac Lamannia Launcher hangs at the very first screen saying "Installing Prereqs". It eventually crashes.

If you run it a second time, it gets to the progress screen but has the message:

"Failed to Initialize or Install Akamai NetSession Interface"

If you find and install Akamai NetSession Interface for Mac manually (here is a link I found: https://a248.e.akamai.net/client.akamai.com/install/bin/user_client_mac_1aeedd2/installer_upload.dmg?name=installer.dmg), and run the Launcher for a third time, then the Lamannia client will download.

Update:

The Lamannia client did eventually download. I am running round 6 now. The Mac damage display bug is still there. I assume the clipping one is too. I leveled a sorc up to 28, but without gear or twists, she doesn't survive long.

The DDO store doesn't work, so I can't play the new content.

Gnarkh
03-10-2014, 10:10 AM
If you find and install Akamai NetSession Interface for Mac manually (here is a link I found: https://a248.e.akamai.net/client.akamai.com/install/bin/user_client_mac_1aeedd2/installer_upload.dmg?name=installer.dmg), and run the Launcher for a third time, then the Lamannia client will download.

Thanks much. That did the trick.

Musiik
03-10-2014, 12:52 PM
I'm not sure if I'm running the L client. I downloaded it through steam, but I did download the link you posted and installed it then restarted the client and its still saying it can't install the extra stuff (Akamai). Do you have any ideas or suggestions?

Kaytis
03-10-2014, 02:02 PM
I'm not sure if I'm running the L client. I downloaded it through steam, but I did download the link you posted and installed it then restarted the client and its still saying it can't install the extra stuff (Akamai). Do you have any ideas or suggestions?

You are not running the Lamannia client. The steam version is the live client.

If the live client is broken like the Lam client was, installing Akamai through the link I provided should be helpful. The reason I can't say for sure is that I already had Akamai installed when I updated my live client. I don't know if Turbine added it to the Mac client or not. From what I am reading, it sounds like they didn't.

So to recap:

1) If the live client is sitting there saying "Installing Prerequisites", just quit and relaunch it.
2) It might now complain that Akamai is missing. To get around that, quit the launcher and run the installer on this disk image:
https://a248.e.akamai.net/client.akamai.com/install/bin/user_client_mac_1aeedd2/installer_upload.dmg?name=installer.dmg
3) The game should now update by itself. It might crash periodically, but just keep relaunching it. It will get there eventually.

brett.schuchert
03-10-2014, 02:46 PM
Thanks much. That did the trick.

Ditto, though much later (for U21). I was in a perpetual loop of DDO trying to get me to agree to the installation of the NetSession manager. When I first installed it, I now see that i'm getting updates....

I'm downloading now... 6 gigs later (this evening) I may take a look, though I have 600K on main toon to get back to level 27...

Cordovan
03-10-2014, 03:20 PM
We have been investigating various issues people are experiencing in getting the Mac client updated, and are working on a solution.

Cordovan
03-10-2014, 04:55 PM
Please see this thread (https://www.ddo.com/forums/showthread.php/437744-Known-Issue-Mac-Client-Update-(March-10th-2014)?p=5277096#post5277096) for more information on the Mac-specific launcher issue.

Valamar
03-12-2014, 12:14 AM
Please see this thread (https://www.ddo.com/forums/showthread.php/437744-Known-Issue-Mac-Client-Update-(March-10th-2014)?p=5277096#post5277096) for more information on the Mac-specific launcher issue.
That solution has worked fine for me... currently updating.

One other thing I did notice -- if you go to the download page and select the High-Rez download, it will hang on Apple's Gatekeeper -- the App isn't signed. (DDO_MAC_3.60.pkg)\
The Fix is simple.
See my comments for the (old) LOTRO issues with Gatekeeper:
http://lotro-wiki.com/index.php/Mac_Client#The_Mac_Client_and_Gatekeeper